Redmine - Defect #31092

svn repo create command not working
2019-03-24 16:56 - Uuganbayar Battulga

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 4.0.2
Description

After upgrading from RedHine from 3.4.4 t0 4.0.2, the command to create a repository for a new project does not work. The repositiry
of the existing projects is normal. Screenshots are attached.

History

#1 - 2019-03-27 03:07 - Uuganbayar Battulga

All checked below, all ok:

- check if you have link to Remine.pm in /usr/lib64/perl5/

- make sure you have Enable WS for repository management option enabled

- make sure API key string is equal to one in reposman.rb command line, regenerate it

- make sure that Repositories Tab in Settings reports that you have Subversion enabled and version is shown
- create new project, in settings under Modules Tab tick Repository and save

- then execute reposman.rb

#2 - 2019-03-28 09:01 - Mizuki ISHIKAWA
The problem could not be reproduced in my environment.
¢ Redmine 4.0.2

¢ MySQL
e Ruby 2.6.0

Would you be able to confirm the following?

¢ Execute command after adding https:// to --redmine-host url
* Check the log by tail log/production.log to see if the request by reposman.rb is coming.
Example:

Started GET "/sys/projects.json?key="

Processing by SysController#projects as JSON
Parameters: {"key"=>""}

Completed 200 OK

#3 - 2019-04-05 08:02 - Go MAEDA

- Status changed from New to Needs feedback
#4 - 2019-04-15 04:26 - Uuganbayar Battulga

1. ruby /var/www/html/redmine/extra/svn/reposman.rb --redmine https:/redmine.statebank.mn --svn-dir /var/svn --owner apache --group root --url
https://redmine.statebank.mn/svn/ --verbose --command="/usr/bin/svnadmin create' --key=YNMIO6e6ZAscnqVtzbp0 >
/home/uka/redmine_reposman.log

1. cat /nome/uka/redmine_reposman.log
querying Redmine for active projects with repository module enabled...
Unable to connect to https:/redmine.statebank.mn/sys/: SSL_connect returned=1 errno=0 state=error: certificate verify failed (unable to get local
issuer certificate)

#5 - 2021-03-28 17:37 - Go MAEDA
- Status changed from Needs feedback to Closed
https://redmine.statebank.mn
https://redmine.statebank.mn/svn/
https://redmine.statebank.mn/sys/

- Resolution set to Invalid

Uuganbayar Battulga wrote:

1. cat /lhome/uka/redmine_reposman.log
querying Redmine for active projects with repository module enabled...
Unable to connect to https:/redmine.statebank.mn/sys/: SSL_connect returned=1 errno=0 state=error: certificate verify failed (unable to get
local issuer certificate)

Please install a valid server certificate on the server redmine.statebank.mn.
